package lightning

import (
	"github.com/lightninglabs/lndclient"
)

type LNDClient struct {
	*lndclient.GrpcLndServices
}

type LNDConfig = lndclient.LndServicesConfig

func New(config *LNDConfig) (*LNDClient, error) {
	rcpLndServices, err := lndclient.NewLndServices(config)
	if err != nil {
		return nil, err
	}

	lnd := &LNDClient{GrpcLndServices: rcpLndServices}

	return lnd, nil
}
